## lua-copas 1.2.0

=== Makefile ===
# $Id: Makefile,v 1.3 2007/10/29 22:50:16 carregal Exp $

# Default prefix
PREFIX = /usr/local

# System's lua directory (where Lua libraries are installed)
LUA_DIR= $(PREFIX)/share/lua/5.1

install:
	mkdir -p $(LUA_DIR)/copas
	cp src/copas/copas.lua $(LUA_DIR)/copas.lua

clean:

## lua-copas 1.1.5

=== debian/changelog ===
lua-copas (1.1.5-3) unstable; urgency=low

  * source format 3.0 (quilt)
  * bumped standards version to 3.9.2, no changes

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 22 Jul 2011 22:55:05 +0200

lua-copas (1.1.5-2) unstable; urgency=low

  * build-depend on lua5.1-policy-dev >= 22
  * bumped standards version to 3.8.2, no changes

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 17:04:16 +0200

lua-copas (1.1.5-1) unstable; urgency=low

  * New upstream bugfix release

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 20 Apr 2009 10:18:19 +0200

lua-copas (1.1.4-1) unstable; urgency=low

  * new upstream bugfix release 
  * bumped standards version to 3.8.1, no changes needed
  * added ${misc:Depends} to Depends: 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 24 Mar 2009 23:07:15 +0100

lua-copas (1.1.3-1) unstable; urgency=low

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 21 May 2008 16:02:14 +0200

lua-copas (1.1.2-1) unstable; urgency=low

  * new upstream release
  * -dev package moved to section libdevel
  * bumped standards version to 3.7.3
  * added Homepage fields
  * updated Vcs-* fields

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 17 May 2008 21:11:15 +0200

lua-copas (1.1.1-1) unstable; urgency=low

  * Initial release. (Closes: #442453)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 17 Aug 2007 12:03:31 +0200

=== debian/control ===
Source: lua-copas
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), lua5.1-policy-dev (>= 32)
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-copas
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-copas
Homepage: http://www.keplerproject.org/copas/

Package: liblua5.1-copas0
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, liblua5.1-socket2
Description: Copas is a dispatcher of concurrent TCP/IP requests for Lua 5.1
 Copas is a dispatcher of concurrent TCP/IP requests based on corutines.  A
 server registered with Copas should provide a handler for requests and use
 Copas socket functions to send the response. Copas loops through requests and
 invokes the corresponding handlers.

Package: liblua5.1-copas-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends}, liblua5.1-copas0 (>= ${source:Upstream-Version}), liblua5.1-copas0 (<< ${source:Upstream-Version}+1~)
Description: Documentation files for the copas library for the Lua language version 5.1
 This package contains the documentation for the Lua 5.1 copas library.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-copas
#
version=3
http://luaforge.net/frs/?group_id=100  /frs/download.php/\d+/copas-([\d\.]*).tar.gz

## lua-copas 1.1.6

=== debian/changelog ===
lua-copas (1.1.6-5) unstable; urgency=low

  * Update depends on liblua5.1-socket2 -> lua-socket 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 03 May 2012 20:49:47 +0200

lua-copas (1.1.6-4) unstable; urgency=low

  * Fix lua module name

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 03 May 2012 20:41:04 +0200

lua-copas (1.1.6-3) unstable; urgency=low

  * Fixed dependency of transitional package liblua5.1-copas-dev

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 03 May 2012 17:33:50 +0200

lua-copas (1.1.6-2) unstable; urgency=low

  * Package description fixed, thanks Tollef Fog Heen for spotting it.
    (Closes: #671145) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 02 May 2012 14:01:56 +0200

lua-copas (1.1.6-1) unstable; urgency=low

  * New upstream release
  * Switch to dh-lua
  * Packages renames according to the new lua policy
  * Copyright format 1.0
  * debian/comapt set to 8
  * bumped standards version to 3.9.3 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 30 Apr 2012 16:43:38 +0200

=== debian/control ===
Source: lua-copas
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-copas
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-copas
Homepage: https://github.com/keplerproject/copas

Package: lua-copas
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-coxpcall, lua-socket
Replaces: liblua5.1-copas0 (<< 1.1.6-1~), liblua5.1-copas-dev (<< 1.1.6-1~)
Breaks: liblua5.1-copas0 (<< 1.1.6-1~), liblua5.1-copas-dev (<< 1.1.6-1~)
Provides: liblua5.1-copas-dev, liblua5.1-copas0, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Copas is a dispatcher of concurrent TCP/IP requests
 Copas is a dispatcher of concurrent TCP/IP requests based on corutines.  
 A server registered with Copas should provide a handler for requests and use
 Copas socket functions to send the response. Copas loops through requests and
 invokes the corresponding handlers.
 .
 This package also contains the documentation of copas.

Package: liblua5.1-copas0
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-copas
Description: Transitional package for lua-copas
 This is a transitional package to ease upgrades to the lua-copas
 package. It can safely be removed.

Package: liblua5.1-copas-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-copas
Description: Transitional package for lua-copas
 This is a transitional package to ease upgrades to the lua-copas
 package. It can safely be removed.

## lua-copas 1.2.0

=== debian/changelog ===
lua-copas (1.2.0-4) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Ana Luiza Rodrigues da Silva <rodriguesa208@gmail.com>  Fri, 16 Jun 2023 19:38:27 -0300

lua-copas (1.2.0-3) experimental; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.6.2.

 -- Ana Luiza Rodrigues <rodriguesa208@gmail.com>  Sat, 27 May 2023 11:05:17 -0300

lua-copas (1.2.0-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #995501)

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 07:56:41 -0300

lua-copas (1.2.0-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 17 Jan 2021 15:18:54 +0100

lua-copas (1.2.0-1) unstable; urgency=low

  * New upstream release supporting lua 5.2
  * Packaging moved to git
  * Transitional packages removed

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 11 May 2012 09:55:44 +0200

=== debian/control ===
Source: lua-copas
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), dh-lua
Standards-Version: 4.6.2
Homepage: https://github.com/keplerproject/copas
Vcs-Git: git://git.debian.org/git/pkg-lua/lua-copas.git
Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-copas.git

Package: lua-copas
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-coxpcall, lua-socket
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Copas is a dispatcher of concurrent TCP/IP requests
 Copas is a dispatcher of concurrent TCP/IP requests based on corutines.  
 A server registered with Copas should provide a handler for requests and use
 Copas socket functions to send the response. Copas loops through requests and
 invokes the corresponding handlers.
 .
 This package also contains the documentation of copas.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-copas
#
version=3
https://github.com/keplerproject/copas/downloads .*/copas-([\d\.]+).tar.gz

## lua-copas 4.8.0

=== Makefile ===
# $Id: Makefile,v 1.3 2007/10/29 22:50:16 carregal Exp $

DESTDIR ?=

# Default prefix
PREFIX  ?= /usr/local

# System's lua directory (where Lua libraries are installed)
LUA_DIR ?= $(PREFIX)/share/lua/5.1

DELIM=-e "print(([[=]]):rep(70))"
PKGPATH=-e "package.path='src/?.lua;'..package.path"

# Lua interpreter
LUA=lua

.PHONY: certs

install:
	mkdir -p $(DESTDIR)$(LUA_DIR)/copas
	cp src/copas.lua $(DESTDIR)$(LUA_DIR)/copas.lua
	cp src/copas/ftp.lua $(DESTDIR)$(LUA_DIR)/copas/ftp.lua
	cp src/copas/smtp.lua $(DESTDIR)$(LUA_DIR)/copas/smtp.lua
	cp src/copas/http.lua $(DESTDIR)$(LUA_DIR)/copas/http.lua
	cp src/copas/timer.lua $(DESTDIR)$(LUA_DIR)/copas/timer.lua
	cp src/copas/lock.lua $(DESTDIR)$(LUA_DIR)/copas/lock.lua
	cp src/copas/semaphore.lua $(DESTDIR)$(LUA_DIR)/copas/semaphore.lua
	cp src/copas/queue.lua $(DESTDIR)$(LUA_DIR)/copas/queue.lua

tests/certs/clientA.pem:
	cd ./tests/certs && \
	./rootA.sh       && \
	./rootB.sh       && \
	./serverA.sh     && \
	./serverB.sh     && \
	./clientA.sh     && \
	./clientB.sh     && \
	cd ../..

certs: tests/certs/clientA.pem

test: certs
	$(LUA) $(DELIM) $(PKGPATH) tests/close.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/connecttwice.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/errhandlers.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/exit.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/exittest.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/http-timeout.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/httpredirect.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/largetransfer.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/lock.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/loop_starter.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/no_luasocket.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/pause.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/queue.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/removeserver.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/removethread.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/request.lua 'http://www.google.com'
	$(LUA) $(DELIM) $(PKGPATH) tests/request.lua 'https://www.google.nl' true
	$(LUA) $(DELIM) $(PKGPATH) tests/semaphore.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/starve.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/tcptimeout.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/timer.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/timeout_errors.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/tls-sni.lua
	$(LUA) $(DELIM) $(PKGPATH) tests/udptimeout.lua
	$(LUA) $(DELIM)

coverage:
	$(RM) luacov.stats.out
	$(MAKE) test LUA="$(LUA) -lluacov"
	luacov

clean:
	$(RM) luacov.stats.out luacov.report.out
	$(RM) tests/certs/*.pem tests/certs/*.srl

=== debian/changelog ===
lua-copas (4.8.0-2) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support
  * Drop implicit LUA_VERSION which makes pkg this lua5.1-only

 -- Bastian Germann <bage@debian.org>  Mon, 13 Oct 2025 21:54:12 +0200

lua-copas (4.8.0-1) unstable; urgency=low

  * QA Upload.
  * New upstream version
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Vcs control header Vcs-Git.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.
  * Add upstream metadata
  * Add support for Lua 5.3 and 5.4
  * Update Homepage
  * Fix watch file
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Sat, 23 Aug 2025 22:53:14 +0200

=== debian/control ===
Source: lua-copas
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), dh-lua
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/lua-team/lua-copas.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-copas
Homepage: https://lunarmodules.github.io/copas/

Package: lua-copas
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-coxpcall, lua-socket
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Copas is a dispatcher of concurrent TCP/IP requests
 Copas is a dispatcher of concurrent TCP/IP requests based on corutines.
 A server registered with Copas should provide a handler for requests and use
 Copas socket functions to send the response. Copas loops through requests and
 invokes the corresponding handlers.
 .
 This package also contains the documentation of copas.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/lunarmodules/copas/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
